// Carlo's Little Helpers

// Weeeeeee for namespaces, and yes, I'm aware I'm taking this way to literally.
if (typeof CarloZottmann != "object") { var CarloZottmann = {}; }
if (typeof CarloZottmann.Helper != "object") { CarloZottmann.Helper = {}; }
if (typeof CarloZottmann.Helper[czHelperID] != "object") { CarloZottmann.Helper[czHelperID] = {}; }

CarloZottmann.Helper[czHelperID].Config = function(configBranch)
{
    configBranch = configBranch + ((configBranch.substr(-1) != ".") ? "." : "");
    this._branch = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch(configBranch);



    this.getPref = function(configString)
    {
        try
        {
            switch(this._branch.getPrefType(configString))
            {
                case (this._branch.PREF_STRING):
                    return this._branch.getCharPref(configString);
                    break;

                case (this._branch.PREF_BOOL):
                    return this._branch.getBoolPref(configString);
                    break;

                case (this._branch.PREF_INT):
                    return this._branch.getIntPref(configString);
                    break;
            }
        }
        catch (e) { }

        return null;
    }



    this.setPref = function(configString, value)
    {
        try
        {
            switch(this._branch.getPrefType(configString))
            {
                case (this._branch.PREF_STRING):
                    return this._branch.setCharPref(configString, value);
                    break;

                case (this._branch.PREF_BOOL):
                    return this._branch.setBoolPref(configString, value);
                    break;

                case (this._branch.PREF_INT):
                    return this._branch.setIntPref(configString, parseInt(value));
                    break;
            }
        }
        catch (e) { }

        return false;
    }



    this.getChildren = function()
    {
        return this._branch.getChildList("", {});
    }
}
