// Weeeeeee for namespaces, and yes, I'm aware I'm taking this way to literally.
if (typeof CarloZottmann != "object") { var CarloZottmann = {}; }

CarloZottmann.OptionsDialog = function(branch, czHelperID)
{
    var config = new CarloZottmann.Helper[czHelperID].Config(branch);

    this.load = function()
    {
        var prefsList = config.getChildren();

        for (var a = 0; a < prefsList.length; a++)
        {
            //@JSD_LOG a

            var pref = prefsList[a];
            var prefSetting = config.getPref(pref);

            //@JSD_LOG pref + ": " + prefSetting

            if (document.getElementById(pref))
            {
                switch (typeof prefSetting)
                {
                    case "string":
                        document.getElementById(pref).value = prefSetting;
                        break;

                    case "number":
                        document.getElementById(pref).value = prefSetting.toString();
                        break;

                    case "boolean":
                        document.getElementById(pref).checked = prefSetting;
                        break;
                }
            }
        }

        return true;
    }


    this.save = function()
    {
        var prefsList = config.getChildren();

        for (var a = 0; a < prefsList.length; a++)
        {
            var pref = prefsList[a];

            if (document.getElementById(pref))
            {
                try
                {
                    if (document.getElementById(pref).value)
                    {
                        config.setPref(pref, document.getElementById(pref).value);
                    }
                    else
                    {
                        config.setPref(pref, document.getElementById(pref).checked);
                    }
                }
                catch(e) { }
            }
        }

        return true;
    }
}

