// Carlo's Little Helpers

// Weeeeeee for namespaces, and yes, I'm aware I'm taking this way to literally.
if (typeof CarloZottmann != "object") { var CarloZottmann = {}; }
if (typeof CarloZottmann.Helper != "object") { CarloZottmann.Helper = {}; }
if (typeof CarloZottmann.Helper[czHelperID] != "object") { CarloZottmann.Helper[czHelperID] = {}; }

CarloZottmann.Helper[czHelperID].Amazon =
{
    getPath: function(href)
    {
        amazonPath = href.match(/\/exec\/obidos\/(.+)$/i);

        if (amazonPath)
        {
            asin = amazonPath[1].match(/^(?:ASIN|asin|tg\/.*)\/[0-9A-Z]{10}/i);

            if (asin)
            {
                amazonPath[1] = asin[0];
            }

            return amazonPath[1];
        }

        return href;
    },



    getTLD: function(href)
    {
        amazonTLD = CarloZottmann.Helper[czHelperID].URL.getServerName(href).match(/amazon\.(com|co\.uk|de|fr|ca)/i);
        return amazonTLD ? amazonTLD[1] : null;
    },



    getASIN: function(href)
    {
        asin = href.match(/\/([0-9A-Z]{10})(\?|\/|$)/i)
        return asin ? asin[1] : null;
    },



    isISBN: function(asin)
    {
        return asin.match(/^[0-9X]+$/) ? true : false;
    }
}
