// Carlo's Little Helpers

// Weeeeeee for namespaces, and yes, I'm aware I'm taking this way to literally.
if (typeof CarloZottmann != "object") { var CarloZottmann = {}; }
if (typeof CarloZottmann.Helper != "object") { CarloZottmann.Helper = {}; }
if (typeof CarloZottmann.Helper[czHelperID] != "object") { CarloZottmann.Helper[czHelperID] = {}; }

CarloZottmann.Helper[czHelperID].General =
{
    arrayUnique: function(inputArray)
    {
        outputArray = [];
        inputArray.sort();

        for (a = 0; a < inputArray.length; a++)
        {
            if (inputArray[a] !== inputArray[a+1])
            {
                outputArray[outputArray.length] = inputArray[a];
            }
        }

        return outputArray;
    },



    // returns current date as string (ex. "2005-05-08")
    getToday: function()
    {
        today = new Date();
        year = "20" + today.getYear().toString().substr(-2);
        month = "0" + (today.getMonth() + 1).toString().substr(-2)
        day = "0" + today.getDate().toString().substr(-2)
        date = year + "-" + month + "-" + day;

        return date;
    }
}



// Why isn't there a native String.prototype.trim function? Oh well.
String.prototype.trim = function()
{
    return this.replace(/^\s+/g, "").replace(/\s+$/g, "");
}

